<?xml version="1.0" encoding="UTF-8"?>
<!-- rcDatum_vs_Peildatum.xslt, 1 september 2022 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:fz822="http://ei.vektis.nl/fz/fz822_477" >

	<!-- deze routine voert de volgende controle uit: 
		 	- als TeControlerenDatum een waarde bevat
				- controleer TeControlerenDatum met de gevraagde Vergelijking ten opzichte van Peildatum, als TeControlerenDatum niet correct is, dan wordt Retourcode geretourneerd. -->
					
	<xsl:template name="rcDatum_vs_Peildatum">
		<xsl:param name="TeControlerenDatum"/>
		<xsl:param name="Peildatum"/>
		<xsl:param name="Vergelijking"/>
		<xsl:param name="Retourcode"/>
		
		<xsl:if test="$TeControlerenDatum != ''">
			<xsl:if test="($Vergelijking = 'kleinerofgelijkaan') and (normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($Peildatum,'-',''))) or
								($Vergelijking = 'groterofgelijkaan') and (normalize-space(translate($TeControlerenDatum,'-','')) &lt; normalize-space(translate($Peildatum,'-',''))) or
								($Vergelijking = 'groterdan') and not(normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($Peildatum,'-',''))) or
								($Vergelijking = 'gelijkaan') and not(normalize-space(translate($TeControlerenDatum,'-','')) = normalize-space(translate($Peildatum,'-','')))">
				<fz822:Retourcode><xsl:value-of select="$Retourcode"/></fz822:Retourcode>
			</xsl:if>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
